GA:500
GB:5000
GC:15000
GD:19000
GE:25000
GF:50000

GA:-500
GB:-5000
GC:-15000
GD:-15000
GE:-25000
GF:-50000

GA:0
GB:0
GC:0
GD:0
GE:0
GF:0

GC:15000
GD:-55000
GE:-65000

PURGE:

CLEAR:

HHA:
HHB:
HHC:
HHD:
HHE:
HHF:

REGMSA:1000
REGMSB:1000
REGMSC:18000
REGMSD:18000
REGMSE:18000
REGMSF:20000

REGACCC:30
REGACCD:30
REGACCE:15
REGACCF:30

# check that mark is not missed
ECHO:1
REGCFGA:3344
SETAPA:100

CMPQUEA:273,150,0,0,256,256

# generate report, that position has been missed, ERROR 60
CMPQUEA:273,50,0,0,256,256

CMPQUEA:273,200,0,0,256,256

CMPQUEFROMTRIGA: f,t,dm{,[f,]o,n,mask,xor}...

# automatic TRIG->CMP generation with common flags
TRIG0:112,256,0
CMPQUEFROMTRIGA:19,0,0,     500,0,5,1,   800,0,6,1

# automatic TRIG->CMP generation with individual flags
# and binary check sequence on the first comparator
ECHO:1
CMPQUEFROMTRIGCHKSEQ:110100111
TRIG0:112,256,0
CMPQUEFROMTRIGA:8211,0,0,   16403,500,0,5,1, 19,800,0,6,1

CMPQUEFROMTRIGA:8211,0,0,   16657,500,0,5,1

# test of discarding whale group of comparators in the case of position miss
CMPQUEFROMTRIGA:8211,0,0,   19,800,0,6,1, 16657,-850,0,5,1, 19,800,0,6,1

CMPQUELISTA:
CMPQUEFROMTRIGFLUSH:
CMPQUEFLUSHA:

# test of the TRIG->CMP generation with denoise filter
ECHO:1
CMPQUEFROMTRIGFLUSH:
CMPQUEFLUSHA:
TRIG0:112,256,0
CMPQUEFROMTRIGA:36883,0,200, 100,     500,0,5,1,   800,0,6,1
dprint A+pos
